com.thinkaurelius.titan.diskstorage.log.kcvs

## Class KCVSLogManager

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.log.kcvs.KCVSLogManager

- All Implemented Interfaces:
    LogManager

      public class KCVSLogManager
      extends Object
      implements LogManager

  Implementation of `LogManager` against an arbitrary `KeyColumnValueStoreManager`. Issues `Log` instances which wrap around a `KeyColumnValueStore`.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ConfigOption<Boolean>` | `LOG_FIXED_PARTITION`
    `static ConfigOption<Integer>` | `LOG_MAX_PARTITIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KCVSLogManager(KeyColumnValueStoreManager storeManager, Configuration config)` Opens a log manager against the provided KCVS store with the given configuration.
    `KCVSLogManager(KeyColumnValueStoreManager storeManager, Configuration config, int[] readPartitionIds)` Opens a log manager against the provided KCVS store with the given configuration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the log manager and all open logs (if they haven't already been explicitly closed)
    `KCVSLog` | `openLog(String name)` Opens a log for the given name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG_FIXED_PARTITION

          public static final ConfigOption<Boolean> LOG_FIXED_PARTITION

    - #### LOG_MAX_PARTITIONS

          public static final ConfigOption<Integer> LOG_MAX_PARTITIONS

  - ### Constructor Detail

    - #### KCVSLogManager

          public KCVSLogManager(KeyColumnValueStoreManager storeManager,
                        Configuration config)

      Opens a log manager against the provided KCVS store with the given configuration.
      Parameters:
        `storeManager` -
        `config` -

    - #### KCVSLogManager

          public KCVSLogManager(KeyColumnValueStoreManager storeManager,
                        Configuration config,
                        int[] readPartitionIds)

      Opens a log manager against the provided KCVS store with the given configuration. Also provided is a list of read-partition-ids. These only apply when readers are registered against an opened log. In that case, the readers only read from the provided list of partition ids.
      Parameters:
        `storeManager` -
        `config` -
        `readPartitionIds` -

  - ### Method Detail

    - #### openLog

          public KCVSLog openLog(String name)
                          throws BackendException

      Description copied from interface: `LogManager`
      Opens a log for the given name.

      If a log with the given name already exists, the existing log is returned.
      Specified by:
        `openLog` in interface `LogManager`
      Parameters:
        `name` - Name of the log to be opened
      Returns:
      Throws:
        `BackendException`

    - #### close

          public void close()
                     throws BackendException

      Description copied from interface: `LogManager`
      Closes the log manager and all open logs (if they haven't already been explicitly closed)
      Specified by:
        `close` in interface `LogManager`
      Throws:
        `BackendException`

Copyright © 2012–2014. All rights reserved.